Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-45015

ATH unable to run against 2.46.3 or versions newer than 2.7 of Jenkins

    XMLWordPrintable

    Details

    • Similar Issues:
    • Sprint:
      Blue Ocean 1.2-beta1

      Description

      I am having deja vu - last time there were dependency problems when running the ATH against newer versions due to how plugins are loaded when running the ath/mvn vs what the real update center does (which gets the latest with blue ocean). 

      Not sure what the solution was last time, but it needs doing again, or we need a better way to run the ATH to more closely represent the real world

      To reproduce, build a recent master and then: 

      cd acceptance-tests

      ./run.sh -v=2.46.3 --dev

      then open the jenkins that it launches, and check the warnings (big red thing) and note that no blue ocean link appears.

       

      The errors:

       

      There are dependency errors loading some plugins:

      • GitHub API Plugin v1.85.1
        • Jackson 2 API Plugin v2.5.4 is older than required. To fix, install v2.7.3 or later.
      • GitHub Pipeline for Blue Ocean v1.2.0-beta-1-SNAPSHOT (private-727b6266-michaelneale)
        • Pipeline implementation for Blue Ocean v1.2.0-beta-1-SNAPSHOT (private-727b6266-michaelneale) failed to load. Fix this plugin first.
      • Git Pipeline for Blue Ocean v1.2.0-beta-1-SNAPSHOT (private-727b6266-michaelneale)
        • Pipeline SCM API for Blue Ocean v1.2.0-beta-1-SNAPSHOT (private-727b6266-michaelneale) failed to load. Fix this plugin first.
      • GitHub plugin v1.27.0
        • GitHub API Plugin v1.85.1 failed to load. Fix this plugin first.
      • REST Implementation for Blue Ocean v1.2.0-beta-1-SNAPSHOT (private-727b6266-michaelneale)
        • Credentials Plugin v2.1.13 is older than required. To fix, install v2.1.14 or later.
      • Events API for Blue Ocean v1.2.0-beta-1-SNAPSHOT (private-727b6266-michaelneale)
        • Pipeline implementation for Blue Ocean v1.2.0-beta-1-SNAPSHOT (private-727b6266-michaelneale) failed to load. Fix this plugin first.
      • Pipeline SCM API for Blue Ocean v1.2.0-beta-1-SNAPSHOT (private-727b6266-michaelneale)
        • Credentials Plugin v2.1.13 is older than required. To fix, install v2.1.14 or later.
      • Blue Ocean Pipeline Editor v0.2.0
        • Pipeline implementation for Blue Ocean v1.2.0-beta-1-SNAPSHOT (private-727b6266-michaelneale) failed to load. Fix this plugin first.
      • GitHub Branch Source Plugin v2.0.6
        • GitHub plugin v1.27.0 failed to load. Fix this plugin first.
      • Blue Ocean v1.2.0-beta-1-SNAPSHOT (private-727b6266-michaelneale)
        • Events API for Blue Ocean v1.2.0-beta-1-SNAPSHOT (private-727b6266-michaelneale) failed to load. Fix this plugin first.
      • Pipeline implementation for Blue Ocean v1.2.0-beta-1-SNAPSHOT (private-727b6266-michaelneale)
        • Pipeline SCM API for Blue Ocean v1.2.0-beta-1-SNAPSHOT (private-727b6266-michaelneale) failed to load. Fix this plugin first.

        Attachments

          Activity

          Hide
          michaelneale Michael Neale added a comment -

          hey Vivek Pandey Ivan Meredith do you know what the solution was to this last time? 

          Show
          michaelneale Michael Neale added a comment - hey Vivek Pandey Ivan Meredith do you know what the solution was to this last time? 
          Hide
          imeredith Ivan Meredith added a comment -

          You have to add deps needed to runtime-deps project in acceptance-tests/runner/runtime/. They will overwrite deps that are pulled in by blueocean that are out of date

          Show
          imeredith Ivan Meredith added a comment - You have to add deps needed to runtime-deps project in acceptance-tests/runner/runtime/. They will overwrite deps that are pulled in by blueocean that are out of date

            People

            Assignee:
            michaelneale Michael Neale
            Reporter:
            michaelneale Michael Neale
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: